<?php
/* @var $this SiteController */
/* @var $model Site */

$this->breadcrumbs=array(
	'Sitios'=>array('admin'),
	$model->name,
);

$this->menu=array(
#	array('label'=>'List Site', 'url'=>array('index')),
	array('label'=>'Crear Sitio', 'url'=>array('create')),
	array('label'=>'Cambiar Sitio', 'url'=>array('update', 'id'=>$model->id)),
#	array('label'=>'Delete Site', 'url'=>'#', 'linkOptions'=>array('submit'=>array('delete','id'=>$model->id),'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>'Administrar Sitios', 'url'=>array('admin')),
);
?>

<h1>Viendo <?php echo $model->url; ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data'=>$model,
	'attributes'=>array(
#		'id',
		array('label'=>'Cliente','value'=>$model->client->name),
		'name',
		'url',
		'decodedPrefs',
		'insDate',
		'state',
	),
)); ?>

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'checks-grid',
	'dataProvider'=>$cModel->search( $model->id ),
#	'filter'=>$model,
	'columns'=>array(
#		'id',
		'insDate',
		array(
			'name' => 'codeChange',
			'header' => 'Código',
			'cssClassExpression' => '$data->codeRowClass',
		),
		array(
			'name' => 'imgChange',
			'header' => 'Imagen',
			'cssClassExpression' => '$data->imgRowClass',
		),
		array
		(
			'class'=>'CButtonColumn',
			'template'=>'{view}',
			'buttons'=>array
			(
				'view' => array
				(
				    'label'=>'Ver Diferencias',
#				    'imageUrl'=>Yii::app()->request->baseUrl.'/images/email.png',
				    'url'=>'Yii::app()->request->baseUrl."/data/".date( "Ymd", strtotime( $data->insDate . " - 1 day" ) )."' . "/{$model->url}-{$model->url}.png" . '"',
				),
			),
		),
	),
)); ?>

<?php $arrData = array( array( 'Día', 'Código', 'Imagen' ) );
foreach( array_reverse( $model->checks(array('limit' => 10) ) ) as $check ) {
	$arrData[] = array( date('d/m', strtotime($check->insDate)), (float)$check->codeChange, (float)$check->imgChange );
}

#echo '<pre>' . print_r( $arrData,1 ) . '</pre>';
$this->widget('ext.Hzl.google.HzlVisualizationChart', array('visualization' => 'LineChart',	#AreaChart ColumnChart
            'data' => $arrData,
            'options' => array(
                'title' => 'Comportamiento de cambios',
                'titleTextStyle' => array('color' => '#333'),
                'vAxis' => array(
                    'title' => '% cambio',
                    'gridlines' => array(
                        'color' => '#ccc'  //set grid line transparent
                    ),
                ),
                'hAxis' => array(
                	'title' => 'Fecha de chequeo',
                    'gridlines' => array(
                        'color' => '#ccc'  //set grid line transparent
                    ),
                ),
                'curveType' => 'function', //smooth curve or not
                'legend' => array('position' => 'right'),
        ))); ?>
