<?php
require_once('/etc/qhaway/config.php');
// uncomment the following to define a path alias
// Yii::setPathOfAlias('local','path/to/local-folder');

// This is the main Web application configuration. Any writable
// CWebApplication properties can be configured here.
return array(
#	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'basePath'=>$qhawayConfig['basePath'],
	'name'=>$qhawayConfig['name'],
	'language' => $qhawayConfig['language'],
	'defaultController' => 'home',

	// preloading 'log' component
	'preload'=>array('log'),

	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
		'application.extensions.Hzl.google.HzlVisualizationChart',
	),

	'modules'=>array(
		// uncomment the following to enable the Gii tool
/*		
		'gii'=>array(
			'class'=>'system.gii.GiiModule',
			'password'=>'kalimantan',
			// If removed, Gii defaults to localhost only. Edit carefully to taste.
			'ipFilters'=>array('127.0.0.1','::1'),
		),
*/
	),

	// application components
	'components'=>array(
		'user'=>array(
			// enable cookie-based authentication
			'allowAutoLogin'=>true,
			'loginUrl'=>array('home/login'),
		),
		// uncomment the following to enable URLs in path-format
		/*
		'urlManager'=>array(
			'urlFormat'=>'path',
			'rules'=>array(
				'<controller:\w+>/<id:\d+>'=>'<controller>/view',
				'<controller:\w+>/<action:\w+>/<id:\d+>'=>'<controller>/<action>',
				'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
			),
		),
		*/
		/*
		'db'=>array(
			'connectionString' => 'sqlite:'.dirname(__FILE__).'/../data/testdrive.db',
		),
		*/
		// uncomment the following to use a MySQL database
		'db'=>$qhawayConfig['db'],
		'errorHandler'=>array(
			// use 'site/error' action to display errors
			'errorAction'=>'home/error',
		),
		'loginHandler'=>array(
			// use 'site/error' action to display errors
			'loginAction'=>'home/login',
		),
#		'log'=>array(
#			'class'=>'CLogRouter',
#			'routes'=>array(
#				array(
#					'class'=>'CFileLogRoute',
#					'levels'=>'error, warning',
#				),
#				// uncomment the following to show log messages on web pages
#				/*
#				array(
#					'class'=>'CWebLogRoute',
#				),
#				*/
#			),
#		),
	),

	// application-level parameters that can be accessed
	// using Yii::app()->params['paramName']
	'params'=>$qhawayConfig['params'],
);
