<?php
/* @var $this CheckController */
/* @var $model Check */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'check-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'siteId'); ?>
		<?php echo $form->textField($model,'siteId',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'siteId'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'insDate'); ?>
		<?php echo $form->textField($model,'insDate'); ?>
		<?php echo $form->error($model,'insDate'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'codeChange'); ?>
		<?php echo $form->textField($model,'codeChange',array('size'=>7,'maxlength'=>7)); ?>
		<?php echo $form->error($model,'codeChange'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'imgChange'); ?>
		<?php echo $form->textField($model,'imgChange',array('size'=>7,'maxlength'=>7)); ?>
		<?php echo $form->error($model,'imgChange'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->