<?php
/* @var $this SiteController */
/* @var $model Site */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'site-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'clientId'); ?>
		<?php	$clientList = CHtml::listData(Client::model()->findAll(), 'id', 'fullName');
				$options = array(
			        'tabindex' => '0',
			        'empty' => ' ...',
				); ?>
		<?php echo $form->dropDownList($model,'clientId', $clientList, $options); ?>
		<?php echo $form->error($model,'clientId'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'name'); ?>
		<?php echo $form->textField($model,'name',array('size'=>60,'maxlength'=>128)); ?>
		<?php echo $form->error($model,'name'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'url'); ?>
		<?php echo $form->textField($model,'url',array('size'=>60,'maxlength'=>256)); ?>
		<?php echo $form->error($model,'url'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'preferences'); ?>
		<?php echo $form->textArea($model,'preferences',array('rows'=>6, 'cols'=>50)); ?>
		<?php echo $form->error($model,'preferences'); ?>
	</div>

<!--
	<div class="row">
		<?php echo $form->labelEx($model,'insDate'); ?>
		<?php echo $form->textField($model,'insDate'); ?>
		<?php echo $form->error($model,'insDate'); ?>
	</div>
-->

	<div class="row">
		<?php echo $form->labelEx($model,'state'); ?>
		<?php $stateList = array( 1 => 'Activo', '0' => 'Inactivo' ); ?>
		<?php echo $form->dropDownList($model,'state', $stateList); ?>
		<?php echo $form->error($model,'state'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->
